package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Boprul;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BoprulMapper {

    // 批量插入，没什么实际作用
    int batchInsert(@Param("list") List<Boprul> list);

    Boprul selectByPrimaryKey(@Param("rulnum")String rulnum);

    int insert(Boprul boprul);

    int update(Boprul boprul);


    List<Boprul> selectValidByBoptbl(Boprul boprul);
}
